--- /opt/local/var/macports/sources/rsync.macports.org/release/tarballs/ports/science/root/Portfile	2013-03-15 20:01:49.000000000 +0000
+++ Portfile	2013-04-20 14:41:34.000000000 +0100
@@ -4,8 +4,8 @@
 PortSystem          1.0
 
 name                root
-version             5.34.05
-revision            1
+version             5.34.06
+revision            0
 categories          science
 maintainers         gmail.com:mattiafrancescomoro hep.phy.cam.ac.uk:jonesc
 license             LGPL-2.1+
@@ -19,8 +19,8 @@
 master_sites        http://root.cern.ch/download/ \
                     ftp://root.cern.ch/root/
 
-checksums           rmd160  eeb3c54b292ee6258c33d16ef28c03aa9fa077c3 \
-                    sha256  448e180a5ed6f53b5ee49ead014a98e742e97198a4ca760f086467db5d230c9d
+checksums           rmd160  643fd9b787f52843295b1e6ae8f22622141c3337 \
+                    sha256  ddbec31fee5bd645203d8c464f98bb29e7ce2bc63976fba885c2ed0b1a09016a
 
 worksrcdir          root
 
@@ -368,11 +368,11 @@
 variant cocoa description {Enables native OSX graphical backend instead of X11} {
     # Check we are using a clang compiler
     pre-fetch {
-        if { ![string match "*clang*" ${configure.compiler}] } {
+        if { ![string match "*clang*" ${configure.compiler}] || [string match "macports-clang-3.3" ${configure.compiler}] } {
             ui_error "The cocoa variant is experimental and can currently only be built"
-            ui_error "using a clang compiler. Your current compiler is ${configure.compiler}."
-            ui_error "Please try again using either the clang31 variant, or the system"
-            ui_error "clang compiler using configure.compiler=clang"
+            ui_error "using a clang(<3.3) compiler. Your current compiler is ${configure.compiler}."
+            ui_error "Please try again using either of the clang31 or clang32 variants,"
+            ui_error "or the system clang compiler using configure.compiler=clang"
             return -code error "Unsupported compiler for cocoa support"
         }
     }
@@ -383,32 +383,44 @@
     patchfiles-append patch-builtin-afterimage-disabletiff.diff
 }
 
-variant gcc45 conflicts gcc46 gcc47 gcc48 clang31 description {Compile using MacPorts gcc 4.5} {
+variant gcc45 conflicts gcc46 gcc47 gcc48 clang31 clang32 clang33 description {Compile using MacPorts gcc 4.5} {
     configure.compiler      macports-gcc-4.5
     depends_lib-append      port:gcc45
 }
 
-variant gcc46 conflicts gcc45 gcc47 gcc48 clang31 description {Compile using MacPorts gcc 4.6} {
+variant gcc46 conflicts gcc45 gcc47 gcc48 clang31 clang32 clang33 description {Compile using MacPorts gcc 4.6} {
     configure.compiler      macports-gcc-4.6
     depends_lib-append      port:gcc46
 }
 
-variant gcc47 conflicts gcc45 gcc46 gcc48 clang31 description {Compile using MacPorts gcc 4.7} {
+variant gcc47 conflicts gcc45 gcc46 gcc48 clang31 clang32 clang33 description {Compile using MacPorts gcc 4.7} {
     configure.compiler      macports-gcc-4.7
     depends_lib-append      port:gcc47
 }
 
-variant gcc48 conflicts gcc45 gcc46 gcc47 clang31 description {Compile using MacPorts gcc 4.8} {
+variant gcc48 conflicts gcc45 gcc46 gcc47 clang31 clang32 clang33 description {Compile using MacPorts gcc 4.8} {
     configure.compiler      macports-gcc-4.8
     depends_lib-append      port:gcc48
 }
 
-variant clang31 conflicts gcc45 gcc46 gcc47 gcc48 description {Compile using MacPorts clang 3.1} {
+variant clang31 conflicts gcc45 gcc46 gcc47 gcc48 clang32 clang33 description {Compile using MacPorts clang 3.1} {
     configure.compiler      macports-clang-3.1
     depends_lib-append      port:clang-3.1
     configure.args-append   --with-llvm-config="${prefix}/bin/llvm-config-mp-3.1"
 }
 
+variant clang32 conflicts gcc45 gcc46 gcc47 gcc48 clang31 clang33 description {Compile using MacPorts clang 3.2} {
+    configure.compiler      macports-clang-3.2
+    depends_lib-append      port:clang-3.2
+    configure.args-append   --with-llvm-config="${prefix}/bin/llvm-config-mp-3.2"
+}
+
+variant clang33 conflicts gcc45 gcc46 gcc47 gcc48 clang31 clang32 description {Compile using MacPorts clang 3.3} {
+    configure.compiler      macports-clang-3.3
+    depends_lib-append      port:clang-3.3
+    configure.args-append   --with-llvm-config="${prefix}/bin/llvm-config-mp-3.3"
+}
+
 if {[variant_isset qt_mac]} {
     PortGroup qt4 1.0
 }