--- Tesseract-portfile.txt	2013-10-15 11:14:02.000000000 -0500
+++ /opt/local/var/macports/sources/rsync.macports.org/release/ports/textproc/tesseract/Portfile	2013-07-15 11:02:47.000000000 -0500
@@ -4,7 +4,8 @@
 PortSystem          1.0
 
 name                tesseract
-version             3.02.02
+version             3.01
+revision            3
 categories          textproc graphics pdf
 platforms           darwin
 
@@ -23,8 +24,8 @@
 homepage            http://code.google.com/p/tesseract-ocr/
 master_sites        googlecode:tesseract-ocr
 
-checksums           rmd160  86414399f87e264eaf372e7dbd2dc31a7aed5d69 \
-                    sha256  6f142b56ff27092f237aa78d78014703dfaa2a06a57c49e5bc3a5e98358140fb
+checksums           rmd160  f254182870038068edb949714c3e989cd955e225 \
+                    sha256  c24b0bd278291bc93ab242f93841c1d8743689c943bd804afbc5b898dc0a1c9b
 
 if {${name} == ${subport}} {    
     depends_build           port:autoconf \
@@ -41,6 +42,9 @@
         file mkdir ${worksrcpath}/m4
     }
     
+    patchfiles              patch-configure.ac.diff \
+                            patch-ccutil-strngs.h.diff
+    
     use_autoreconf          yes
     autoreconf.cmd          ./autogen.sh
     
@@ -54,261 +58,173 @@
 }
 
 set langs {
-    afr         3.02    Afrikaans {
-                rmd160  3668e993e44feed9bfd8a9db2ba6f29f5f239a23 \
-                sha256  371399ce6700f28d04ccfc12e421f315e356e3aa26575b27d06083c06987784d
-    }
-    ara         3.02    Arabic {
-                rmd160  a57502bacac49f396ad18254f8021d141f1d9908 \
-                sha256  2c7be319c30e93950c121897969c1bc1eb1d6bdceb75f1184ee34a6f01d66b6a
-    }
-    aze         3.02    Azerbaijani {
-                rmd160  44a89d7b69caef6d52887069ccb516ff660d8cf0 \
-                sha256  0f17a06a163d97ec23db3ab14b91b84a67aeba1e441ca5e53a8632b2110a0e79
-    }
-    bel         3.02    Belarusian {
-                rmd160  e09918242105a320ba40a4333fa264f933c35fef \
-                sha256  e59e008c542f786f6f7bd14c6608b2c128c9297d6bede647ae357f7421f7a3e7
-    }
-    ben         3.02    Bengali {
-                rmd160  717de30e225380f9fb7a0845d9b0288a3074f58c \
-                sha256  14a87e0762dcee0cd95acfd3b370b81fd14a003d39328ed97db0b28c55d31e50
-    }
-    bul         3.02    Bulgarian {
-                rmd160  ad807968a439d969277b5c10fcdaf11541388fdd \
-                sha256  1b8b4d7b12d896cf9f7e60e8e3274d3891886544253d41681dd9b32d6567e3f3
-    }
-    cat         3.02    Catalan {
-                rmd160  e477eb53f518f8fd985ec18a2f790da103a46c35 \
-                sha256  894af4c718e821cdc4ae3ec65838b174ac8a003e5417a08557698e1576ac3a34
-    }
-    ces         3.02    Czech {
-                rmd160  e052064161b85d7df022349d4ee6ef5d5ddf7bed \
-                sha256  843522eddcd0e2059a1c7069183b68c2459d527157bc47833a79b6ff56bb09de
-    }
-    chi_sim     3.02    {Chinese (Simplified)} {
-                rmd160  ca385bdee6ddbd3e96fb2f6ea707ed3e288dc76c \
-                sha256  f5b196b5bea6917bcbbf15131b4c2afe94d34c2d9e21d08c0ca42dfbe5aa1095
-    }
-    chi_tra     3.02    {Chinese (Traditional)} {
-                rmd160  100faf598d64bee7145847b243dd336fe13bc8ee \
-                sha256  78742e273a9ca74a6ab5543414e04bcac90d03a317dd35edc634956beafa3d20
-    }
-    chr         3.02    Cherokee {
-                rmd160  ce4fa8a150cca59b4a554aa68a8a1274801cede4 \
-                sha256  27c917ba39898d63752b2a4ecb0cd8f688772bcbbae2bf430a93d894d328a4c1
-    }
-    dan         3.02    Danish {
-                rmd160  e9ab962bdb6b7f94b37b85f6b04af1dee0f8fab1 \
-                sha256  deb93f6326aa8a4d353159201681947a808577662084d4060daea7d644e63eb9
-    }
-    deu         3.02    German {
-                rmd160  7dbb3078b859bff828fbcebc2f57b232ae8fa700 \
-                sha256  d03cdd0b00d368ff49ebaf77b8758bcf2ff1b0d39331368987e622ac261443ca
-    }
-    ell         3.02    Greek {
-                rmd160  a741981cef2274cd583108e2c16e8e6ed12e58bb \
-                sha256  29745ced8fbfb4ec9abebeb99e4b385821cb5eb0ed81fb1870b93543553b8fba
-    }
-    eng         3.02    English {
-                rmd160  795d2050133b5398a9f13eb291f9b36da124ec5a \
-                sha256  c110029560e7f6d41cb852ca23b66899daa4456d9afeeae9d062204bd271bdf8
-    }
-    enm         3.02    {Middle English} {
-                rmd160  c7e43a22e207245b9b6784bc2c92e5ca5dd4c477 \
-                sha256  19c9bd89c823451655e3f265b7fcd06727cd36ddec01b8fad9900159b688a1e3
-    }
-    epo         3.02    Esperanto {
-                rmd160  ee80cb8814d3518c6b7b8efba83563e2be38a284 \
-                sha256  22ae681c34ee7aa825994115f927c2e1f8ec1a98c97c01218b98d2549af22252
-    }
-    epo_alt     3.02    {Esperanto (alt)} {
-                rmd160  a9c2c799085805bf027013716bac5c39feb15aff \
-                sha256  e516b8362fa060be720d2768a8abbee9cc965b9162249c5914ef1d8159e03dc2
-    }
-    equ         3.02    {Math / Equations} {
-                rmd160  63c2fe3b12b771a1f832261e366b6ed494779ae4 \
-                sha256  2010e724686171ef2eb3388df00d8d89ba7e50cb2298b0368b847fffb95d804e
-    }
-    est         3.02    Estonian {
-                rmd160  e2cb8fd06c08fc0579339f2777d04db6d7b7c235 \
-                sha256  d5d6b9d4b567a10e2f63cafd2f60bf5b0c994e415470becafd729b20349e2e80
-    }
-    eus         3.02    Basque {
-                rmd160  f8e7a858ac29a1a0260a1feaaba132fd5d760451 \
-                sha256  78359d57896623cf8211e17604a9dfa574e2253c9157035f439c5fbe06cd5019
-    }
-    fin         3.02    Finnish {
-                rmd160  ecbf8d0b61849dd8bfc3389e834af01965f853a0 \
-                sha256  e02ff1798960d3af15c0dafafac0de954442cfb13f4eff45c3263c2ff6e59026
-    }
-    fra         3.02    French {
-                rmd160  40b2b7bc846e36f46c12114c05e8b066a1bd3ff7 \
-                sha256  74592f5f2ab73a6668934922753be0505fc4333ee790543949f8b70f03eab101
-    }
-    frk         3.02    Frankish {
-                rmd160  63c4aee87dd263f29c513cdf86437643f945f843 \
-                sha256  a9f4219d6b2ef4ed8b76c86be99ae3c9190509df72ba6f0217a77f7205ec52f8
-    }
-    frm         3.02    {Middle French} {
-                rmd160  3e6f57f7414c1e88a2dce997b5e7e5f1b3fca598 \
-                sha256  f32f774d88e7936f16ff41b832cecfbd71f82c9bf7584330d750da941c07ca79
-    }
-    glg         3.02    Galician {
-                rmd160  d9e37bf597ef20c20191c2b4f27ff866b4a17838 \
-                sha256  82ffa27c4de17545fa9d46e0fcd5690b1b59bcce9e93f71c0a41d19afbe869ee
-    }
-    grc         3.02    {Ancient Greek} {
-                rmd160  f3063b271102598e3d0985a13d8c497a8ac2af70 \
-                sha256  586b955eb9fba5a304cfa37bfdd7c89f2db33335d5ae83f2962aed8903266805
-    }
-    heb         3.02    Hebrew {
-                rmd160  1c88989da04ae2514e92836a9682defd72a8d612 \
-                sha256  da47b0cfe241775c9b36339efda6339d59e146fa6143c65a2253eb9f67164811
-    }
-    hin         3.02    Hindi {
-                rmd160  7ac8934ff29c8c65ca42c1ae4533e850613a871a \
-                sha256  91f91da5adc73ee71150865d6598df8a50424350480df2753ca9035320b3c78d
-    }
-    hrv         3.02    Croatian {
-                rmd160  999b8e9559b90ff416cabe869f12f915bf43e437 \
-                sha256  e20575f5b0ec73ff7f3197c112a8dcc24303b64016910399d9127bda42e7d866
-    }
-    hun         3.02    Hungarian {
-                rmd160  b92f41f560604c6b733cf5f5deeac2daf3703062 \
-                sha256  edf5cc42b516b2a18681955167d1964dfc7ff8cda642408ebda91b3c4656f9f1
-    }
-    ind         3.02    Indonesian {
-                rmd160  134303a34137b6dfe76f3823f879a163403e22fb \
-                sha256  337ba4400a798c60dee16070071337c96fc67bcb4e2cc1b4676dcbc340fbbcd7
-    }
-    isl         3.02    Icelandic {
-                rmd160  ab9f2dbc392920c07840c5311bf91d07170f9ab1 \
-                sha256  6b226366d8d2d87f859d4099e8b715e3ec3890f9317198e7b8c80fba001055f8
-    }
-    ita         3.02    Italian {
-                rmd160  1967275b5fc1a76a4fbbf97458f7aa61cb77c15e \
-                sha256  26453b302c108e08f594c7a19597382314529f648e141805417f9af1e4c99ac2
-    }
-    jpn         3.02    Japanese {
-                rmd160  7dbcaa6ce64e6a97267d81c706e0d74b3c13aa0f \
-                sha256  09bf447a29e990c065024b3b720fd70f08d596a7be534312fc9e47d0aabf681f
-    }
-    kan         3.02    Kannada {
-                rmd160  192e908039720d9b1c5b3a3c5e774cdaacda35f5 \
-                sha256  15851cc22058c08cad9ec6058113f76966409061f21f5cde8c9cc1d214298c22
-    }
-    kor         3.02    Korean {
-                rmd160  e305a5ea7c2a0635c57b232e9a8302a3e0c9eb8a \
-                sha256  7c85c4107a781d90d6d4adb001f2189b113f9db6942618b4bc47f4cc80cd126a
-    }
-    lav         3.02    Latvian {
-                rmd160  3e555976a384719d10e46b97c838b1a62c34fcbe \
-                sha256  e6a190ee1edf0a58948a9d7b01569fd8a4c05bc678da3a40ad884c0849958c36
-    }
-    lit         3.02    Lithuanian {
-                rmd160  0dbc183bd56a549057d383d216b6df0429e31359 \
-                sha256  350891a182076df2e8067da04b3b2127a77e48782d9905e8339db4f1d6c7a729
-    }
-    mal         3.02    Malayalam {
-                rmd160  1290bba4363a5356153d17252214a7d58c5db1ed \
-                sha256  72b3b23979ae4a6b63518964bf239beae8bb6c02f35a2695f47262178b3fef34
-    }
-    mkd         3.02    Macedonian {
-                rmd160  13aa3ca673c6203ed402f5081d71374fc2e09499 \
-                sha256  ea489277e7a588a1b7566a21cbbd647786f16659cae087a4705d4fdabd823ee6
-    }    
-    mlt         3.02    Maltese {
-                rmd160  8885051d58e78a7ec6791d78b81164f657427cbc \
-                sha256  ba99e8bfc753a274bbea38ef44f5abf81e5f12d09f9d12d267436961270ef2de
-    }
-    mkd         3.02    Macedonian {
-                rmd160  13aa3ca673c6203ed402f5081d71374fc2e09499 \
-                sha256  ea489277e7a588a1b7566a21cbbd647786f16659cae087a4705d4fdabd823ee6
-    }
-    msa         3.02    Malay {
-                rmd160  b6d055fb4f324efacfc711b85537449061e53b84 \
-                sha256  f34e4950ad9079f92965a234253cc16f92deb66f1ce4e9c9a885ad2695c2d136
-    }        
-    nld         3.02    Dutch {
-                rmd160  41e41ab4c34e04a92148287811e92dd688e1e182 \
-                sha256  5e2e53499a05282968e5a9699aad66ae52a5abf06ae828e2f4cf2c1f6e674a98
-    }
-    nor         3.02    Norwegian {
-                rmd160  9cf47c13e1aef04af77740729dbba480800e9f40 \
-                sha256  6b5c42444595a81b5f6fea859d97999895917bcc2f85a505488ea5c2f4efa01a
-    }
-    pol         3.02    Polish {
-                rmd160  4b9d6d437bf291a88bb366db8497cb5121807043 \
-                sha256  62999058bfb609d95d53bd519c6de99620d025b3bfbc54d8679a87b10474ccbb
-    }
-    por         3.02    Portuguese {
-                rmd160  53359d4e5df589336b29c185181e0b94c4a07f47 \
-                sha256  f9b126323757c62da23aab163e2ce5257d137e86be7c37dea13bb0585e1ace3f
-    }
-    ron         3.02    Romanian {
-                rmd160  adf2b76c4ec2f5e23f85d95b1b444dafb7c441dc \
-                sha256  d7e6454c9cc80c84a654f94283fc06b2df33c5c7fd2d3bff269c3cbdeb0b39e7
-    }
-    rus         3.02    Russian {
-                rmd160  bed7102a68eb1d2672addbfcbaca8adcba436f33 \
-                sha256  091cda49489d15f33916263fc78fbf8dcd4e6547012dc7e1a8496a38ab192315
-    }
-    slk         3.02    Slovakian {
-                rmd160  8cf5f1776f9a99d362428802ab2dc534d6bb5aa7 \
-                sha256  cbd5a88e2188ef39ef438c9859dbd7a9b9e2a99c23a823ec310f7f84a012cc82
-    }
-    slv         3.02    Slovenian {
-                rmd160  5c19344d8f7158d6d384a9d5f3e31ad7ff7830c3 \
-                sha256  b901507d2901c882f98f6ef5db07dbf74636fba6a1f616c5f094954106791667
-    }
-    spa         3.02    Spanish {
-                rmd160  f5270f3b78e96d412e67d600491f4a880b9c4d22 \
-                sha256  f40cc264d037b0c71ecb4a8bb6def8b3ec04b647d8da7fd44d0daa558bfa31b1
-    }
-    sqi         3.02    Albanian {
-                rmd160  17665a0c1beb295227afba1e8f144c916c4ba5e7 \
-                sha256  99bfcda3e0c471f63b36cd0db7dea596e59a2219c9275c3ba51e59973555c101
-    }    
-    srp         3.02    {Serbian (Latin)} {
-                rmd160  2435b8acd2eb22427b08479889a791f08de2e3e5 \
-                sha256  b1eeeb2958d0a4e2ba16fb55a98ca4ca8e69fee8b0be8162ff599ba19d0b2404
-    }
-    swa         3.02    Swahili {
-                rmd160  d01cf8eacc7384e7a1d482df3aff9ed35f5ed6d6 \
-                sha256  2681e59f2a9333259a2de42f3deed46aa7dd84b638e6927f40db0409adff143b
-    }
-    swe         3.02    Swedish {
-                rmd160  987aa3c82c7d419fda05dd349e5ee3b4fe14b307 \
-                sha256  ada287d7b64183df906215fe4ca86c3b6fe30dc5121e9a83113c3265ca7fc5ae
-    }
-    tam         3.02    Tamil {
-                rmd160  aceb01612c11255bc03113368bcc053a13c192bd \
-                sha256  75f73362421a23eb955212f7aa19c9a3efdc80a4c6761445869148bfd2a6dc62
-    }
-    tel         3.02    Telugu {
-                rmd160  fe9fb6b07c7d2755b8fbf372de77636e64c6a549 \
-                sha256  f36af3d5ca9f8ff6e606485fe5db835f96b42e7d2380ac5d61af6b41827834fd
-    }        
-    tgl         3.02    Tagalog {
-                rmd160  155a261e6faa5f6f210b035460960c5d6e57cabc \
-                sha256  5c515310df83c9b40e557027e49de6df70e33a9bbabeaf1301ca9e8c13558948
-    }
-    tha         3.02    Thai {
-                rmd160  87f52149f3acd038cf5ca9b0317115561a42e292 \
-                sha256  7a98e25e0c61dda48cbdb241f0f53c3dfaa7ef574b81799ab2ddac50da6db4fb
-    }
-    tur         3.02    Turkish {
-                rmd160  dbffa99dde65b3a082a15d75ad199b7f91625bfd \
-                sha256  fe4657ca3455585a06eb3d02b4a0472fda8ca06efe587be75e175662dc6329d7
-    }
-    ukr         3.02    Ukranian {
-                rmd160  fcf96e1653083065a9454dea2bc3beefe40128ef \
-                sha256  7862b10c1ff7e02b41c7a50eec7fccd2c30b8162d965fa1ae00510c6d1210762
-    }
-    vie         3.02    Vietnamese {
-                rmd160  1a028355cfa95bf24db6203ba89531a2675aff4c \
-                sha256  a113254882eac70168aec00544805e7c9cec20527217b98349ed48f6e2d2611e
+    ara         3.01    Arabic {
+                rmd160  26ebacc37cff2a6386b7748f0fb62bd89fc55ebe \
+                sha256  bc0781e71ae688eec172500e70b603cb5277785475c466a3704e5b9e5a805934
+    }
+    bul         3.00    Bulgarian {
+                rmd160  cbcdb7532af8c03abb5f8bcdb5b34516b6a522e4 \
+                sha256  fc3c650568d014f2337052658e9ddd8efaff6ac74c9a90952d740eafdf400e2d
+    }
+    cat         3.00    Catalan {
+                rmd160  3b1a5067e97e4c104ee766fc89cc47c261b55b38 \
+                sha256  dcc52db7522c67d2629117b7fde4c114ca51677f7f1efbedc12bf1e7319acde2
+    }
+    ces         3.00    Czech {
+                rmd160  356bc1982be43cb89e1fa62b1af53a0f28d14444 \
+                sha256  9848a4c137be45659e29f4aa07ccb6357fd4401307478cce0ed5f8e6686480d2
+    }
+    chi_sim     3.00    {Chinese (Simplified)} {
+                rmd160  7a3e5f0f33f9869c10f793daee4883a5167eb178 \
+                sha256  40c1cdf62106a0705807e8be5bee235a9e9efe716e22568e3885561a835d7d5b
+    }
+    chi_tra     3.00    {Chinese (Traditional)} {
+                rmd160  590262a166a86f55177dde0dd0b10926a91c1ef4 \
+                sha256  68ac2d83998b7f6e3fa26a58be8be5507e78185a16b3e106fe48a7b2667165fc
+    }
+    dan         3.00    Danish {
+                rmd160  f354451e42486609ff631b5a3ba52134cc0a706f \
+                sha256  2104d8b1cfde6fa960e31db826a101a356c77c3efeae6e78cab5a97e62f3410c
+    }
+    dan-frak    3.00    {Danish (Fraktur)} {
+                rmd160  3e2da733cb9aea235b5deb6ec2bd89a68ef9e6f9 \
+                sha256  ddc9f75b6104618d0682c9c98f5fed1ec52b1b0d5a54d38a20b20f0ab5d9a32b
+    }
+    deu         3.00    German {
+                rmd160  f5e26562dfb3259c0c6fca0c9d1a23589f6af981 \
+                sha256  9e1845a69d5b6cf93d4fa05d5b8934e7cfaf8b088e6be9e8dac30c7859591ccc
+    }
+    deu-frak    3.00    {German (Fraktur)} {
+                rmd160  899d849c87ca4adf3a7303b0208cd41e0754eb63 \
+                sha256  59f005f735a33039d416f699bff0bae7d42e5ab000dca6e1aae99d99f3776dc5
+    }
+    ell         3.00    Greek {
+                rmd160  791acfb5a60875d02e23ebc8c66243adedb5cf39 \
+                sha256  f8cb765c40733a677fa470370b935c34cfc53ba8de372b33e83ab59c7407195d
+    }
+    eng         3.01    English {
+                rmd160  71fedcc390097e6f25437342be57bc2c800eb5a0 \
+                sha256  89dceb9910dcfc21296645b289834269f9dd5ebeb819fe6b8d2f7fcbafd8c8b1
+    }
+    fin         3.00    Finnish {
+                rmd160  a467774acf081aff2bd7fc5e1557eb1486336b6f \
+                sha256  30c05d403295fb659048b5d82db0d87c9cbee5077314e2b52f6fdca9c9ec8520
+    }
+    fra         3.00    French {
+                rmd160  97ab2fb064da5d7d15032fd1c5e87aa2f14dc1b3 \
+                sha256  1d795f1da1ee20671ffbbf4b2997b424f459861b217c9ffa7abbeb72abd760d6
+    }
+    heb         3.01    Hebrew {
+                rmd160  81326ae76cf8bb9ad222080787f976da32c9cb8f \
+                sha256  d5cf025c43453bc5327b2631133b6695d85ad0f700546220fddb72929fb86fc1
+    }
+    heb-com     3.01    {Hebrew (community)} {
+                rmd160  6433a5cbec6baf64b21a16bce60ca307f09f530b \
+                sha256  20a9d53172a8dbf1a4bbd7f7e9e3a523a9435c47c751533642e8a9becc8584ff
+    }
+    hin         3.01    Hindi {
+                rmd160  7c732c22c0c9027e43fa267538f73449fb8211d6 \
+                sha256  e97e5d4fcbce0edbd5d3973d603efe7072db17d20e4e5243fe58803710f2a549
+    }
+    hun         3.00    Hungarian {
+                rmd160  7acc341ed55ca61869c7876b8b37ac2a143abd5b \
+                sha256  7b4d80703067fc5a8bf3da80f7da699f26a665a3e5ca93004fe353a1d6e74f60
+    }
+    ind         3.00    Indonesian {
+                rmd160  bc714068a10982dcf32816e823dbca6be63489ee \
+                sha256  9b2ee5ab2d33511f5fb8edbaee3d3a448cf8ab9efbf8e5c852d59481317e8218
+    }
+    ita         3.00    Italian {
+                rmd160  522f4110223c0da1894d39bc49fd1400b1527e2e \
+                sha256  a6cbaa39fddee521090e48d6a83b6f62e77b5fe7d90ab8ce9ee4d8ada10730f5
+    }
+    jpn         3.00    Japanese {
+                rmd160  47dba0ff10e9bd6979a31fa1ccc79b7d84775432 \
+                sha256  ebbde8c607a05cdd97d492734896a24b2aa17d5b4fb00e9597a96b39c1f22aa3
+    }
+    kor         3.00    Korean {
+                rmd160  1aa22020b2bcdea7721d111065b2070191149e32 \
+                sha256  8d4709341dbda7da9f42bb1d39c4d22d5ca767c2a30fbe36cb2ad152f092b01f
+    }
+    lav         3.00    Latvian {
+                rmd160  eb1efa104597850e47cdae8fa70cc4f120959810 \
+                sha256  305173b54d836dae2f22e4f488734440a83e683636c033cafe066083738ceebc
+    }
+    lit         3.00    Lithuanian {
+                rmd160  65aab59e4be61c3734645f96e688dbd81aa384b1 \
+                sha256  1a04f9e952a76d430c2b9d16140f2d42f27c72a9bbd55b3e8f2b6e701ef0f399
+    }
+    nld         3.00    Dutch {
+                rmd160  4026b44d7849a0c78d1831e00805f985ffad6421 \
+                sha256  2826628b0ff22fc3bb5d6e9d6901a39141b805b78084e0c9ab61f12c28747831
+    }
+    nor         3.00    Norwegian {
+                rmd160  36ee419e1ba3a49db749f15c5b204bfaee0bc848 \
+                sha256  c97cbfd93f676b331296b729d5526d1accc1325474a6b6d91260d03a1c862606
+    }
+    pol         3.00    Polish {
+                rmd160  08197fede8151cfdef50a6d2e41c55f384d3f909 \
+                sha256  708e2c59cc4e6451e90fc1ef57b83b809bc354b9e0ef3935e9f181d2a718d5ce
+    }
+    por         3.00    Portuguese {
+                rmd160  90a73ffdf23c3ca9cc1b30d5f30943c67f4f59a0 \
+                sha256  25df33e4f6c55749d04a5307f1143e31a71a76b7417b91a531c686bf49308b85
+    }
+    ron         3.00    Romanian {
+                rmd160  9755d5002e6dfd581003168bae24bc0697c89318 \
+                sha256  367ccb440283e57e4e3f87cd0b97a59a07ceb920e09da8778feafe5e086a9892
+    }
+    rus         3.00    Russian {
+                rmd160  aeb8ab308499f2414c21f5299f2abf5082c6a282 \
+                sha256  8ced9431d2b1d544fbdd362c36786e3804451da06093bc45acecad84829e5f7a
+    }
+    slk         3.00    Slovakian {
+                rmd160  4e661fce45076128455f2b2d0e60b93d67a8038d \
+                sha256  037839ad756b9177f7d8f7bd3f01a3a1012094360c5c62a49abbde0a33389511
+    }
+    slk-frak    3.01    {Slovakian (Fraktur)} {
+                rmd160  4277eeb130de9ec42e6722fa34824116ef52def3 \
+                sha256  f35b8a858d509c540a5829d94e8f8800ed25db4c904661000f4c4fa528d5c156
+    }
+    slv         3.00    Slovenian {
+                rmd160  854b6ec39d09ec210a7850d56573f5a77da37b6e \
+                sha256  bb7318f24972abc380688c67be86d07193e0294b252b60c648720978ad4a8b04
+    }
+    spa         3.00    Spanish {
+                rmd160  92303810e9429ca5a9daa39e02a015a78ac09cd6 \
+                sha256  5de0748b068f35c941e86bba622e23a376a6b084cb094007e7059714f1e030e0
+    }
+    srp         3.00    {Serbian (Latin)} {
+                rmd160  70ef247a50a72c5d551f2f7dc246275b9096a9b8 \
+                sha256  542b83f62389ff8cc34746dd765345566ab368b63dcf275c223ecb52c2cb9291
+    }
+    swe         3.00    Swedish {
+                rmd160  7653dd8a57f75a9e240a8e256c7a4b20a2e91040 \
+                sha256  25331ca1f41378a86336604476049810a0c5350417205e300cb2d11048cec2c1
+    }
+    swe-frak    3.00    {Swedish (Fraktur)} {
+                rmd160  dd094a391eff0f62718655cf94eabdd5ff3d7a8f \
+                sha256  2cf1a0e1eb8a0e3f8477ebcde44d99a9229f2c20b2d96ecb1ca6c25db5c6fdec
+    }
+    tgl         3.00    Tagalog {
+                rmd160  669a4ea7bb6beac425070d8ba424f341eee447a9 \
+                sha256  d4d88e1fb31771d0b42e65291c03da3a167541df7c9682b81d833a4bd6c9e8cf
+    }
+    tha         3.01    Thai {
+                rmd160  aad3a39e2ec68e71870031a88e77b7ec426befc1 \
+                sha256  5f8af525ebdfa789e0741351e808858e1a613b895becb138352d51b9fbd31322
+    }
+    tur         3.00    Turkish {
+                rmd160  15cebea216b539681d7306cab3f31f2773cd93e2 \
+                sha256  cb4e187f6c25c145252c88a576f3e3c9204c1d77e1c012172a85980c5c01088b
+    }
+    ukr         3.00    Ukranian {
+                rmd160  0f040ec98453c38a0f19e90d7f34ab0dee8e9778 \
+                sha256  a54f0ce0843c863f102bfe135939200fc18702ce61ae6ebc571ab49460849365
+    }
+    vie         3.00    Vietnamese {
+                rmd160  74826cef758cf5a8c561c2e6381e053e151a6a91 \
+                sha256  5f61c32daf9a7071ff0dc95415aed75276538813398e3debb3849bba70bda713
     }
 }
 