--- /opt/local/var/macports/sources/leatherman.nrel.gov/macports/release/tarballs_current/ports/python/py-cvxopt/Portfile	2013-05-14 03:30:33.000000000 -0600
+++ python/py-cvxopt/Portfile	2013-07-01 12:36:50.000000000 -0600
@@ -6,8 +6,7 @@
 
 categories-append  math
 name               py-cvxopt
-version            1.1.3
-revision           1
+version            1.1.6
 distname           cvxopt-${version}
 maintainers        mnick
 platforms          darwin
@@ -26,10 +25,10 @@
 
 master_sites        http://abel.ee.ucla.edu/src/
 
-checksums           sha1    fe048bd21bb33eb99adb2759eda6f06d7520aa31 \
-                    rmd160  cd0fdf51db957b388803b305f43ff323415b2252
+checksums           sha256  7b4ccf3ed896dde6624623431c0b1f5e32d874384329ed716f51babcbf416227 \
+                    rmd160  52069a2a4597b6d6ce6263ebe91e4aab21a4a2cf
 
-python.versions     25 26 27
+python.versions     27 31 32 33
 python.default_version 27
 
 if {$subport != $name} {
@@ -53,56 +52,56 @@
   depends_lib-append port:DSDP
 }
 
-default_variants +gsl +glpk +fftw +dsdp
+# dsdp port is broken, JJS 7/1/13
+#default_variants +gsl +glpk +fftw +dsdp
+default_variants +gsl +glpk +fftw 
 
 configure {
     if {[variant_isset atlas]} {
-        reinplace "s|ATLAS_LIB_DIR = .*|ATLAS_LIB_DIR = '${prefix}/lib'|" \
-              ${worksrcpath}/src/setup.py
+        reinplace "s|BLAS_LIB_DIR = .*|BLAS_LIB_DIR = '${prefix}/lib'|" \
+              ${worksrcpath}/setup.py
         
-        # default to cblas if ${prefix}/lib/libblas.dylib doesnt exist
-        if {![file exists ${prefix}/lib/libblas.dylib]} {
-            reinplace "s|libraries = \\(.*\\)'blas'\\(.*\\)|libraries = \\1'cblas'\\2|g" \
-                ${worksrcpath}/src/setup.py
-        }
+        # correct targets for blas and lapack libs (libtatlas.dylib)
+        reinplace "s|BLAS_LIB = \\(.*\\)'blas'\\(.*\\)|BLAS_LIB = \\1'tatlas'\\2|g" \
+              ${worksrcpath}/setup.py
+        reinplace "s|LAPACK_LIB = \\(.*\\)'lapack'\\(.*\\)|LAPACK_LIB = \\1'tatlas'\\2|g" \
+              ${worksrcpath}/setup.py
     }
 
     if {[variant_isset gsl]} {
         reinplace "s|BUILD_GSL = .*|BUILD_GSL = 1|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|GSL_LIB_DIR = .*|GSL_LIB_DIR = '${prefix}/lib'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|GSL_INC_DIR = .*|GSL_INC_DIR = '${prefix}/include'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
     }
     if {[variant_isset glpk]} {
         reinplace "s|BUILD_GLPK = .*|BUILD_GLPK = 1|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|GLPK_LIB_DIR = .*|GLPK_LIB_DIR = '${prefix}/lib'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|GLPK_INC_DIR = .*|GLPK_INC_DIR = '${prefix}/include'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
     }
     if {[variant_isset fftw]} {
         reinplace "s|BUILD_FFTW = .*|BUILD_FFTW = 1|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|FFTW_LIB_DIR = .*|FFTW_LIB_DIR = '${prefix}/lib'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|FFTW_INC_DIR = .*|FFTW_INC_DIR = '${prefix}/include'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
     }
     if {[variant_isset dsdp]} {
         reinplace "s|BUILD_DSDP = .*|BUILD_DSDP = 1|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|DSDP_LIB_DIR = .*|DSDP_LIB_DIR = '${prefix}/lib'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
         reinplace "s|DSDP_INC_DIR = .*|DSDP_INC_DIR = '${prefix}/include'|" \
-              ${worksrcpath}/src/setup.py
+              ${worksrcpath}/setup.py
     }
 }
 
-build.dir ${worksrcpath}/src
-
 destroot.dir ${build.dir}
 
 livecheck.type 		none