--- /opt/local/var/macports/sources/LocalPorts/sysutils/dpkg/Portfile_badwhitespace	2013-05-06 11:00:16.000000000 -0400
+++ /opt/local/var/macports/sources/LocalPorts/sysutils/dpkg/Portfile_fixedwhitespace	2013-05-07 12:56:30.000000000 -0400
@@ -1,87 +1,88 @@
+# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
 # $Id: Portfile 105815 2013-05-06 14:52:20Z landonf@macports.org $
 
-PortSystem 1.0
+PortSystem          1.0
 
-name			dpkg
-version			1.14.29
-revision		4
-platforms		darwin freebsd
-categories		sysutils archivers
-license			GPL-2+
-maintainers		nomaintainer
-description		Debian package maintenance system
-long_description ${description}
-homepage		http://wiki.debian.org/Teams/Dpkg
-
-master_sites	debian:d/dpkg/
-checksums		md5 4326172a959b5b6484b4bc126e9f628d \
-			sha1 15a35dd96dac6a99f24844b2eff85f8fad37ab06
+name                dpkg
+version             1.14.29
+revision            4
+platforms           darwin freebsd
+categories          sysutils archivers
+license             GPL-2+
+maintainers         nomaintainer
+description         Debian package maintenance system
+long_description    ${description}
+homepage            http://wiki.debian.org/Teams/Dpkg
+
+master_sites        debian:d/dpkg/
+checksums           md5 4326172a959b5b6484b4bc126e9f628d \
+                    sha1 15a35dd96dac6a99f24844b2eff85f8fad37ab06
 
 # Use MacPorts versions explicitly
-depends_lib		port:gettext \
-			port:libiconv \
-			port:perl5 \
-			port:coreutils \
-			port:bzip2 \
-			port:zlib
-
-depends_run		bin:gnutar:gnutar \
-			bin:lzma:xz
-
-
-distname		${name}_${version}
-worksrcdir		${name}-${version}
-
-patchfiles		patch-lib_tarfn.c \
-			patch-main_remove.c \
-			patch-main_archives.c \
-			patch-scripts-Makefile \
-			patch-lib_dpkg.h \
-			ncurses.diff
-
-configure.env		PERL=${prefix}/bin/perl5
-configure.args		--without-sgml-doc --with-libintl-prefix=${prefix} \
-			--with-libiconv-prefix=${prefix} --with-admindir=${prefix}/var/db/dpkg \
-			--mandir=${prefix}/share/man \
-			--with-zlib --with-bz2 \
-			--disable-linker-optimisations
+depends_lib         port:gettext \
+                    port:libiconv \
+                    port:perl5 \
+                    port:coreutils \
+                    port:bzip2 \
+                    port:zlib
+
+depends_run         bin:gnutar:gnutar \
+                    bin:lzma:xz
+
+
+distname            ${name}_${version}
+worksrcdir          ${name}-${version}
+
+patchfiles          patch-lib_tarfn.c \
+                    patch-main_remove.c \
+                    patch-main_archives.c \
+                    patch-scripts-Makefile \
+                    patch-lib_dpkg.h \
+                    ncurses.diff
+
+configure.env       PERL=${prefix}/bin/perl5
+configure.args      --without-sgml-doc --with-libintl-prefix=${prefix} \
+                    --with-libiconv-prefix=${prefix} --with-admindir=${prefix}/var/db/dpkg \
+                    --mandir=${prefix}/share/man \
+                    --with-zlib --with-bz2 \
+                    --disable-linker-optimisations
 
-build.type		gnu
+build.type          gnu
 
 set vardpkg ${destroot}${prefix}/var/db/dpkg
 destroot.keepdirs ${vardpkg} ${vardpkg}/updates ${vardpkg}/info
 
 post-patch {
-	set scripts ${worksrcpath}/scripts
-	reinplace s|/etc/dpkg/|${prefix}/etc/dpkg/| \
-			${scripts}/dpkg-shlibdeps.pl \
-			${scripts}/dpkg-source.pl
+    set scripts ${worksrcpath}/scripts
+    reinplace s|/etc/dpkg/|${prefix}/etc/dpkg/| \
+            ${scripts}/dpkg-shlibdeps.pl \
+            ${scripts}/dpkg-source.pl
 
-	reinplace s|/etc/alternatives|${prefix}/etc/alternatives|g \
-			${scripts}/update-alternatives.pl
+    reinplace s|/etc/alternatives|${prefix}/etc/alternatives|g \
+            ${scripts}/update-alternatives.pl
 }
 
 pre-destroot {
-	file mkdir ${destroot}${prefix}/share/doc/dpkg
+    file mkdir ${destroot}${prefix}/share/doc/dpkg
 }
 
 post-destroot {
-	file mkdir ${vardpkg}
-	file mkdir ${vardpkg}/updates
-	file mkdir ${vardpkg}/info
-	system "touch ${vardpkg}/available ${vardpkg}/status"
+    file mkdir ${vardpkg}
+    file mkdir ${vardpkg}/updates
+    file mkdir ${vardpkg}/info
+    system "touch ${vardpkg}/available ${vardpkg}/status"
 }
 
 platform darwin {
-	depends_build-append	bin:gnumake:gmake
-	patchfiles-append patch-utils_start-stop-daemon.c bsd/patch-main_help.c
+    depends_build-append    bin:gnumake:gmake
+    patchfiles-append patch-utils_start-stop-daemon.c bsd/patch-main_help.c
 }
 
 platform freebsd {
-	depends_build-append	bin:gmake:gmake
-	patchfiles-append patch-utils_start-stop-daemon.c bsd/patch-main_help.c
+    depends_build-append    bin:gmake:gmake
+    patchfiles-append patch-utils_start-stop-daemon.c bsd/patch-main_help.c
 }
 
-livecheck.type		regex
-livecheck.url		http://ftp.debian.org/debian/pool/main/d/dpkg/
-livecheck.regex		"${name}_(\\d+\\.\\d+(\\.\\d+)*)"
+livecheck.type      regex
+livecheck.url       http://ftp.debian.org/debian/pool/main/d/dpkg/
+livecheck.regex     "${name}_(\\d+\\.\\d+(\\.\\d+)*)"